Page MenuHomePhabricator

Refactor Popups WebdriverIO tests from sync to async mode
Closed, ResolvedPublic

Description

Event Timeline

Restricted Application added a subscriber: Aklapper. ยท View Herald TranscriptOct 12 2021, 12:32 PM
zeljkofilipin triaged this task as Medium priority.
Osamaahmed17 renamed this task from Refactor Cite WebdriverIO tests from sync to async mode to Refactor Popups WebdriverIO tests from sync to async mode.Jan 20 2022, 9:18 PM
Osamaahmed17 updated the task description. (Show Details)

Change 755809 had a related patch set uploaded (by Osamaahmed17; author: Osamaahmed17):

[mediawiki/extensions/Popups@master] selenium: Refactor Popups WebdriverIO tests from sync to async mode

https://gerrit.wikimedia.org/r/755809

zeljkofilipin raised the priority of this task from Medium to Needs Triage.

Change 755809 abandoned by Zfilipin:

[mediawiki/extensions/Popups@master] selenium: Refactor WebdriverIO tests from sync to async mode

Reason:

https://gerrit.wikimedia.org/r/755809

I'm getting regular emails about Popups tests failing ( T331063) which means I now have to manually review the logs every Monday before the train is cut. Is there a short term solution we can apply to suppress the error message reported in T331063 ?

@Jdlrobson if the Jenkins job is no longer valuable, we can delete it. If you no longer want to receive notifications when the job fails, we can remove you from the list of recipients. Long term solution is resolving this task. We are working on T256626: Refactor WebdriverIO tests from sync to async mode, but it might take us some time.

zeljkofilipin changed the task status from Open to In Progress.Mar 8 2023, 1:36 PM
zeljkofilipin claimed this task.
zeljkofilipin triaged this task as Low priority.

Change 895812 had a related patch set uploaded (by Zfilipin; author: Zfilipin):

[mediawiki/extensions/Popups@master] WIP selenium: Refactor WebdriverIO tests from sync to async mode

https://gerrit.wikimedia.org/r/895812

zeljkofilipin changed the task status from In Progress to Open.Mar 10 2023, 11:40 AM
zeljkofilipin removed zeljkofilipin as the assignee of this task.
zeljkofilipin raised the priority of this task from Low to Needs Triage.

Change 895812 abandoned by Zfilipin:

[mediawiki/extensions/Popups@master] WIP selenium: Refactor WebdriverIO tests from sync to async mode

Reason:

https://gerrit.wikimedia.org/r/895812

Change 939198 had a related patch set uploaded (by WMDE-Fisch; author: WMDE-Fisch):

[mediawiki/extensions/Popups@master] selenium: Refactor WebdriverIO tests from sync to async mode

https://gerrit.wikimedia.org/r/939198

Change 939198 merged by jenkins-bot:

[mediawiki/extensions/Popups@master] selenium: Refactor WebdriverIO tests from sync to async mode

https://gerrit.wikimedia.org/r/939198

@WMDE-Fisch can this task be resolved, or is there something left to do?

WMDE-Fisch removed WMDE-Fisch as the assignee of this task.
WMDE-Fisch moved this task from Review to Done on the WMDE-TechWish-Maintenance-2023 board.
WMDE-Fisch added a subscriber: WMDE-Fisch.